#!/bin/bash

SOURCEFOLDER="`pwd`"
PROJECTNAME="`basename "$SOURCEFOLDER"`"
TARGETFOLDER="$1/$PROJECTNAME"

if [ $# -lt 1 ]
then
	echo "USE: $0 <location>"
	exit
fi

mkdir -p "$TARGETFOLDER"
cp * "$TARGETFOLDER/"

sed -i '/^Exec/cExec=cd '"$TARGETFOLDER"' && ./'"$PROJECTNAME"'.sh --GUI' "$TARGETFOLDER/$PROJECTNAME.desktop"

