#!/bin/bash

SOURCEFOLDER="`pwd`"
PROJECTNAME="`basename "$SOURCEFOLDER"`"
TERMINALOPTIONS="-hold"

if [ ! -e "$PROJECTNAME.desktop" ]
then
    echo "[Desktop Entry]
Comment=
Comment[en_US]=
Encoding=UTF-8
Exec=cd $SOURCEFOLDER && ./$PROJECTNAME.sh --GUI
GenericName=
GenericName[en_US]=
Icon=package_system
MimeType=
Name=$PROJECTNAME
Path=
StartupNotify=true
Terminal=false
TerminalOptions=
Type=Application
X-DCOP-ServiceType=
X-KDE-SubstituteUID=false
X-KDE-Username=
" >$PROJECTNAME.desktop

fi

if [ ! -e debug.desktop ]
then
    cp "$PROJECTNAME.desktop" debug.desktop
    
    sed -i 's/GUI/DEBUG/
            s/\(Terminal=\)false/\1true/
            /^TerminalOptions=/cTerminalOptions='"$TERMINALOPTIONS" debug.desktop 
fi

sed -i '/^Exec/cExec=cd '"$SOURCEFOLDER"' && ./'"$PROJECTNAME"'.sh --GUI' "$PROJECTNAME.desktop"
sed -i '/^Exec/cExec=cd '"$SOURCEFOLDER"' && ./'"$PROJECTNAME"'.sh --DEBUG
        /^TerminalOptions/cTerminalOptions='"$TERMINALOPTIONS" "debug.desktop"
