#DIALOGPATH="$1"
#DIALOGFILE="$2"
#EVENT="$3"
#PACKAGE="$4"
#DIALOGID="$5"

`kdialog --msgbox "Hello"`;

if ( $ENV{"LOG"} )
{
    $LOG = $ENV{"LOG"};
}
else
{
    $LOG="output.log";
}

open (STDERR, ">&STDOUT");
open (STDOUT, ">> $LOG");

if ( ! $main::DIALOGID )
{
    unlink ($LOG);
    
    `kdialog --msgbox "ARGV[0]=$ARGV[0]"`;
    
    $ENV{"LOG"} = "/dev/null" if ($ARGV[0] eq "--GUI");
    
#    print "ENV{LOG}=".$ENV{"LOG"}."\n";

   	system ("kmdr-executor $main::GUI &");
}

sub init
{
#    print "init\n";
#    print "LOG=$LOG\n";

	if ($LOG && $LOG ne "/dev/null")
	{
#        print "Starting xterm\n";
    
        system ("echo '' >$LOG
                 xterm +sb -vb -title 'Debug output console' -e tail -f $LOG &");
               
        open (LOGPS, "ps -ef | grep -v grep | egrep 'tail -f '$LOG | tail -n1 |");
		$LOG_LINE=<LOGPS>;
        close (LOGPS);

#		print "LOG_LINE=$LOG_LINE\n";

        @Fields = split (/[ \t]+/, $LOG_LINE);

        open (LOGPID, "> LOG_PID");
		print LOGPID "$Fields[1]";
        close (LOGPID);

#        print "Started xterm\n";
	}
}

sub destroy
{
#    print "destroy\n";

 	if (open (LOGPID, "< LOG_PID"))
	{
		$LOG_PID=<LOGPID>;
        close (LOGPID);
        
#		print "LOG_PID=$LOG_PID\n";
		kill 15,$LOG_PID;
		unlink LOG_PID;
	}
}

sub Widget
{
#    print "Widget\n";
    
    my @Args = @_;
    my $NumberOfArgs = scalar (@Args);

	if ($main::DIALOGID)
	{
#		print "Number = $NumberOfArgs\n";
#		print "DIALOGID = $main::DIALOGID\n";
        
        
        if ($NumberOfArgs == 2)
        {
            return `dcop $main::DIALOGID KommanderIf "$Args[1]" "$Args[0]"`;
        }
        elsif  ($NumberOfArgs == 3)
        {
            return `dcop $main::DIALOGID KommanderIf "$Args[1]" "$Args[0]" "$Args[2]"`;
        }
        elsif  ($NumberOfArgs == 4)
        {
            return `dcop $main::DIALOGID KommanderIf "$Args[1]" "$Args[0]" "$Args[2]" "$Args[3]"`;
        }
        elsif  ($NumberOfArgs == 5)
        {
            return `dcop $main::DIALOGID KommanderIf "$Args[1]" "$Args[0]" "$Args[2]" "$Args[3]" "$Args[4]"`;
        }
        elsif  ($NumberOfArgs == 6)
        {
            return `dcop $main::DIALOGID KommanderIf "$Args[1]" "$Args[0]" "$Args[2]" "$Args[3]" "$Args[4]" "$Args[5]"`;
        }
        else
        {
            return "Not done\n";
        }
	}
}

sub quit
{
    &Destroy;
    
    print `dcop $main::DIALOGID MainApplication-Interface quit`;
}

1;
